# Namespace namespace

### Contents

- Reference
  - Classes
  - Enums
  - Typedefs
  - Functions
  - Variables
  - A group

## Classes

struct ClassInANamespace
class ClassInModule
struct StructInModule
union UnionInModule

## Enums

enum EnumInANamespace { A, B, C }
enum EnumInModule { }

## Typedefs

using IntInANamespace = int
using FloatInANamespace = float
using IntInModule = int
using FloatInModule = float

## Functions

void fooInANamespace()
void fooInModule()

## Variables

const int VarInANamespace constexpr
const int VarInModule constexpr

## A group

enum FlagInAGroup { }
using MainInAGroup = void
void* variableInAGroup constexpr
void barInAGroup()

## Enum documentation

### enum Namespace::EnumInANamespace
#include <Directory/File.h>

### enum Namespace::EnumInModule
#include <Directory/File.h>

### enum Namespace::FlagInAGroup
#include <Directory/File.h>

## Typedef documentation

### typedef int Namespace::IntInANamespace
#include <Directory/File.h>

### using Namespace::FloatInANamespace = float
#include <Directory/File.h>

### typedef int Namespace::IntInModule
#include <Directory/File.h>

### using Namespace::FloatInModule = float
#include <Directory/File.h>

### using Namespace::MainInAGroup = void
#include <Directory/File.h>

## Function documentation

### void Namespace::fooInANamespace()
#include <Directory/File.h>

### void Namespace::fooInModule()
#include <Directory/File.h>

### void Namespace::barInAGroup()
#include <Directory/File.h>

## Variable documentation

### const int Namespace::VarInANamespace constexpr
#include <Directory/File.h>

### const int Namespace::VarInModule constexpr
#include <Directory/File.h>

### void* Namespace::variableInAGroup constexpr
#include <Directory/File.h>

Tab / T to search, Esc to close
…

Search for symbols, directories, files, pages or modules. You can omit any prefix from the symbol or file path; adding a `:` or `/` suffix lists all members of given symbol or directory.

Use ↓ / ↑ to navigate through the list, Enter to go. Tab autocompletes common prefix, you can copy a link to the result using ⌘ L while ⌘ M produces a Markdown link.

Sorry, nothing was found.